# E177: React/JSX is not yet implemented

```config-for-examples
{
  "globals": {
    "React": true,
    "ReactDOM": true
  }
}
```

quick-lint-js does not yet support JSX syntax (used in React code):

```javascript-ignoring-extra-errors
ReactDOM.render(
  <h1>Hello, world!</h1>,
  document.getElementById('root')
);
```

To fix this issue, stop using quick-lint-js for your code. Alternative, use
`React.createElement` instead of JSX:

    ReactDOM.render(
      React.createElement('h1', null, 'Hello, world!'),
      document.getElementById('root')
    );
